View Issue Details

IDProjectCategoryView StatusLast Update
0005195Talerwire pluginspublic2021-09-02 18:14
ReporterChristian Grothoff Assigned ToChristian Grothoff  
PrioritynormalSeverityfeatureReproducibilityN/A
Status closedResolutionfixed 
Platformi7OSDebian GNU/LinuxOS Versionsqueeze
Product Versiongit (master) 
Target Version0.5Fixed in Version0.5 
Summary0005195: have command-line tool to trigger wire transfer
DescriptionI was first thinking of a tool against the Taler bank, but actually that's suboptimal.

I'm now thinking of having it written (in C) against Taler's wire *plugin* API. That way, we can use it for the Taler bank, but also for any other kind of banking backend.

This would allow exchange operators to *test* their *wire plugin* (especially relevant with real banks and complex authentication setups!), and we'd have one tool that works with all supported wire methods/plugins (be them SEPA or 'test').
TagsNo tags attached.

Activities

Christian Grothoff

2017-12-14 15:38

manager   ~0012684

Tool is implemented on my end, waiting for deployment to be ready before pushing.

Christian Grothoff

2017-12-14 16:02

manager   ~0012689

1897d65af506f083d8296e6184c9633d0fb5bae0

Christian Grothoff

2021-09-02 18:14

manager   ~0018287

Fix committed to master branch.

Related Changesets

exchange: master 229907c6

2017-12-14 15:33:10

Christian Grothoff

Details Diff
implement taler-bank-transfer, fixes 0005195 Affected Issues
0005195
mod - .gitignore Diff File
mod - doc/Makefile.am Diff File
add - doc/taler-bank-transfer.1 Diff File
rm - doc/taler-exchange-reservemod.1 Diff File
mod - src/bank-lib/Makefile.am Diff File
add - src/bank-lib/taler-bank-transfer.c Diff File
mod - src/exchange-lib/test_exchange_api.c Diff File
mod - src/exchange-tools/Makefile.am Diff File
rm - src/exchange-tools/taler-exchange-reservemod.c Diff File

Issue History

Date Modified Username Field Change
2017-12-07 07:50 Christian Grothoff New Issue
2017-12-07 07:50 Christian Grothoff Assigned To => Christian Grothoff
2017-12-07 07:50 Christian Grothoff Status new => assigned
2017-12-14 15:38 Christian Grothoff Note Added: 0012684
2017-12-14 15:38 Christian Grothoff Target Version => 0.5
2017-12-14 16:02 Christian Grothoff Status assigned => resolved
2017-12-14 16:02 Christian Grothoff Resolution open => fixed
2017-12-14 16:02 Christian Grothoff Fixed in Version => 0.5
2017-12-14 16:02 Christian Grothoff Note Added: 0012689
2018-04-15 20:34 Christian Grothoff Status resolved => closed
2021-09-02 18:13 Christian Grothoff Changeset attached => Taler-exchange master 229907c6
2021-09-02 18:14 Christian Grothoff Note Added: 0018287